import request from "@/utils/request";
//暂降原因
export function getStatisticData(data) {
    return request({
        url: '/event-boot/areaAnalysis/getEventReason',
        method: 'post',
        data
    })
}
//监测点规模状态
export function getDeptLineCount(data) {
    return request({
        url: "/device-boot/line/getDeptLineCount",
        method: "POST",
        data,
    });
}
//数据完整性统计
export function getLineIntegrityData(data) {
    return request({
        url: "/harmonic-boot/integrity/getIntegrityIcon",
        method: "POST",
        data,
    });
}
//终端状态统计
export function getTerminalDataCensus(data) {
    return request({
        url: "/harmonic-boot/terminal/getTerminalDataCensus",
        method: "POST",
        data,
    });
}
//谐波越限事件统计图
export function getHarmonicProportion(data) {
    return request({
        url: "/harmonic-boot/harmonic/getHarmonicProportion",
        method: "POST",
        data,
    });
}
//谐波畸变率排名前十监测点
export function getTHDTopTenData(data) {
    return request({
        url: "/harmonic-boot/tHDistortion/getTHDTopTenData?topNum=10",
        method: "POST",
        data,
    });
}
//电能质量污区图
export function getPollutionSubstationData(data) {
    return request({
        url: "/harmonic-boot/PollutionSubstation/getPollutionSubstationData",
        method: "POST",
        data,
    });
}
//实时告警信息
export function getExceptionDeviceInfoAsDept(data) {
    return request({
        url: "/device-boot/deviceInfo/getExceptionDeviceInfoAsDept",
        method: "POST",
        data,
    });
}
//按部门获取终端设备总数，在线数，在线率
export function getDeptDeviceDetail(data) {
    return request({
        url: "/device-boot/deviceInfo/getDeptDeviceDetail",
        method: "POST",
        data,
    });
}
//按部门获变电站数，变电站在线数，在线率
export function getDeptSubstationDetail(data) {
    return request({
        url: "/device-boot/deviceInfo/getDeptSubstationDetail",
        method: "POST",
        data,
    });
}